### Function

# FwupdPlugin memchk_write

#### Declaration [src]

    gboolean
    fu_memchk_write (
      gsize bufsz,
      gsize offset,
      gsize n,
      GError** error
    )

#### Description [src]

Works out if writing to a buffer is safe. Providing the buffer sizes allows us to check for buffer overflow.

You don’t need to use this function in “obviously correct” cases, nor should you use it when performance is a concern. Only us it when you’re not sure if malicious data from a device or firmware could cause memory corruption.

Available since: | 1.9.1

#### Parameters

`bufsz` | `gsize`
| Maximum size of a buffer, typically `sizeof(buf)`
`offset` | `gsize`
| Offset in bytes.
`n` | `gsize`
| Number of bytes.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the access is safe, `FALSE` otherwise.